/*

    This file is part of OpenStreetSounds.

    OpenStreetSounds is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenStreetSounds is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with OpenStreetSounds. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef OSSXMLCOMPARATOR_HPP
#define OSSXMLCOMPARATOR_HPP
#include "OssXmlResult.hpp"

/* deprecated */

namespace openstreetsound {
	namespace tools {
		namespace data {
			class OssXmlComparator{
			public:
				bool operator() (const OssXmlResult* oxr1, const OssXmlResult* oxr2) const{
					return oxr1->getId() < oxr2->getId();
				}
			};
		}
	}
}
#endif